Bug 210776 - Review Request: monotools - access to monodoc without using monodevelop
Review Request: monotools - access to monodoc without using monodevelop
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Nielsen
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-14 18:09 EDT by Paul F. Johnson
Modified: 2008-05-13 08:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-13 08:58:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gnomeuser: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2006-10-14 18:09:42 EDT
Spec URL: http://nodoid.homelinux.org/fedora/monotools.spec
SRPM URL: http://nodoid.homelinux.org/fedora/monotools-0.17-1.src.rpm
Description: 

mono-tools allows user access to the monodoc package as a normal application rather than having to fire up monodevelop all of the time
Comment 1 Paul F. Johnson 2006-10-14 18:12:42 EDT
Spec URL: http://nodoid.homelinux.org/fedora/monotools.spec
SRPM URL: http://nodoid.homelinux.org/fedora/monotools-1.1.17-1.src.rpm

Dammit - version number was wrong!
Comment 2 Jason Tibbitts 2006-10-15 22:12:19 EDT
I don't really feel competent to review mono packages, but here are a few
generic comments:

Is the name of the package "monotools" or "mono-tools"?

The URL seems to be incorrect.

It's up to you whether you separate BuildRequires: with spaces or commas, but
you should be consistent.

The %description is a bit content-free.
Comment 3 John Mahowald 2006-11-27 22:29:55 EST
(In reply to comment #1)
> SRPM URL: http://nodoid.homelinux.org/fedora/monotools-1.1.17-1.src.rpm

404'd, what's the latest SRPM URL?
Comment 4 Paul F. Johnson 2006-11-30 20:02:05 EST
Spec URL: http://nodoid.homelinux.org/fedora/mono-tools.spec
SRPM URL: http://nodoid.homelinux.org/fedora/mono-tools-1.2.1-2.src.rpm

Lots of changes
Comment 5 John Mahowald 2007-01-06 21:32:59 EST
Doesn't build, missing gecko-sharp, gconf-sharp, and %find_lang doesn't find any
langs.

A spec that addresses these:
http://fedorared.org/repos/rpmbuild/SPECS/mono-tools.spec

The Summary doesn't seem to go with the %description, these are mono tools and
not necessarily a documentation system. The description in the included README
seems closer.

URL is 404'd.

Comment 6 Paul F. Johnson 2007-01-18 17:58:16 EST
Spec URL: http://nodoid.homelinux.org/fedora/mono-tools.spec
SRPM URL: http://nodoid.homelinux.org/fedora/mono-tools-1.2.1-3.src.rpm

Fixes the above, but I must disagree, find lang does find languages.
Comment 7 John Mahowald 2007-01-23 09:42:26 EST
I did build it in mock, development x86_64

Adding  BuildRequires: gettext   seems to fix the languages thing.

I also get a warning from the desktop file:
/var/tmp/mono-tools-1.2.1-4.fc7-root-mockbuild/usr/share/applications/fedora-monodoc.desktop:
warning: The 'Application' cate
gory is not defined by the desktop entry specification.  Please use one of
"AudioVideo", "Audio", "Video", "Development", "Ed
ucation", "Game", "Graphics", "Network", "Office", "Settings", "System",
"Utility" instead

Possibly Development would be appropriate.
Comment 8 Paul F. Johnson 2007-01-28 08:42:03 EST
Spec URL: http://nodoid.homelinux.org/fedora/mono-tools.spec
SRPM URL: http://nodoid.homelinux.org/fedora/mono-tools-1.2.1-4.src.rpm

Address the above
Comment 9 John Mahowald 2007-01-30 01:08:05 EST
- devel package missing %defattr
- missing SMP flags or note why not

- does not run on x86_64.
$ monodoc
/usr/bin/monodoc: line 7: libdir: command not found
cannot open assembly /monodoc/browser.exe

It appears the build did not automatically substitute the libdir variable. 

create-native-map also has problems:
$ create-native-map 
cannot open assembly /usr/bin/../lib/create-native-map/create-native-map.exe

which is in the right spot under /usr/lib64

gnunit and gnunit2 aren't working either:
$ gnunit2 
Unhandled Exception: Glade.HandlerNotFoundException: The handler for the event
DeleteEvent should take '(System.Object,Gtk.DeleteEventArgs)', but the signature
of the provided handler ('OnWindowDelete') is '(System.Object,System.EventArgs)'


rpmlint sez:
E: mono-tools hardcoded-library-path in %{_prefix}/lib
Conditional for pre mono libdir Fedora. OK.

E: mono-tools no-binary
E: mono-tools only-non-binary-in-usr-lib
Ignore, we don't consider mono noarch

E: mono-tools zero-length /usr/share/doc/mono-tools-1.2.1/NEWS
Content free. May rm.

E: mono-tools script-without-shebang /usr/share/doc/mono-tools-1.2.1/COPYING
Weird. Recommend removing the exec bit.

W: mono-tools-devel summary-not-capitalized .pc file for mono-tools
Ignore

W: mono-tools-devel no-documentation
Ignore
Comment 10 Paul F. Johnson 2007-02-15 20:22:32 EST
Spec URL: http://nodoid.homelinux.org/fedora/mono-tools.spec
SRPM URL: http://nodoid.homelinux.org/fedora/mono-tools-1.2.3-1.src.rpm

Got everything except gnunit(2) to work. I've reported these upstream, but there
doesn't seem to be a way to switch them off during the build - I've therefore
excluded them from being added to the final RPMs.

Comment 11 John Mahowald 2007-02-18 02:28:07 EST
Nope. 1.2.3-1 doesn't build on x86_64.

make[2]: Entering directory `/builddir/build/BUILD/mono-tools-1.2.3/create-nati
ve-map/src'
/usr/bin/gmcs  -d:TRACE -debug+ -out:/usr/lib/create-native-map/create-native-m
ap.exe -target:exe -r:Mono.Posix.dll ./create-native-map.cs ./MapAttribute.cs
./create-native-map.cs(387,22): warning CS0169: The private method `MapUtils.Ge
tPropertyValueAsBool(object, string)' is never used
./create-native-map.cs(1042,15): warning CS0169: The private method `HeaderFile
Generator.WriteParameterDeclaration(System.Reflection.ParameterInfo)' is never 
used
error CS0016: Could not write to file `/usr/lib/create-native-map/create-native
-map.exe', cause: Could not find a part of the path "/usr/lib/create-native-map
".
Compilation failed: 1 error(s), 2 warnings
make[2]: *** [/usr/lib/create-native-map/create-native-map.exe] Error 1
Comment 12 Paul F. Johnson 2007-02-18 04:14:22 EST
Is that inside or outside of mock? It's building fine here (mock x86, outside
x86_64)
Comment 13 John Mahowald 2007-02-19 16:19:09 EST
Build failed inside mock, FC6 x86_64.
Comment 14 Paul F. Johnson 2007-02-22 20:08:14 EST
Spec URL: http://nodoid.homelinux.org/fedora/mono-tools.spec
SRPM URL: http://nodoid.homelinux.org/fedora/mono-tools-1.2.3-2.src.rpm

Should fix the x86_64 problem
Comment 15 John Mahowald 2007-05-23 22:47:32 EDT
Sorry for the delay.

Same error, but at least has lib64...

make[2]: Entering directory
`/builddir/build/BUILD/mono-tools-1.2.3/create-native-map/src'
/usr/bin/gmcs  -d:TRACE -debug+
-out:/usr/lib64/create-native-map/create-native-map.exe -target:exe
-r:Mono.Posix.dll ./creat
e-native-map.cs ./MapAttribute.cs
./create-native-map.cs(387,22): warning CS0169: The private method
`MapUtils.GetPropertyValueAsBool(object, string)' is never
 used
./create-native-map.cs(1042,15): warning CS0169: The private method
`HeaderFileGenerator.WriteParameterDeclaration(System.Ref
lection.ParameterInfo)' is never used
error CS0016: Could not write to file
`/usr/lib64/create-native-map/create-native-map.exe', cause: Could not find a
part of the path "/usr/lib64/create-native-map".
Compilation failed: 1 error(s), 2 warnings
Comment 16 Paul F. Johnson 2008-01-04 07:37:31 EST
Updated

src : http://pfj.fedorapeople.org/mono-tools-1.2.6-1.fc9.src.rpm
spec : http://pfj.fedorapeople.org/mono-tools.spec

Quite a lot of fixes included in it!
Comment 17 David Nielsen 2008-01-04 15:21:42 EST
And if you could just adjust that license tag :)

John owns the review but if he has no time or interest in finishing it I would
like to offer to do so.
Comment 18 Paul F. Johnson 2008-01-04 19:03:02 EST
Updated

src : http://pfj.fedorapeople.org/mono-tools-1.2.6-2.fc9.src.rpm

Fixed!

Not sure if John has vanished....
Comment 19 Paul F. Johnson 2008-01-06 17:40:00 EST
John - you out there?
Comment 20 Paul F. Johnson 2008-01-14 12:12:36 EST
I think it's safe to say John has vanished. Dave, do you want to take this over?
Comment 21 David Nielsen 2008-01-14 13:21:55 EST
GOOD:
Builds in mock (fedora-development-x86_64)
Spec is in readable US English, and sexy sed magic
Cleans up after itself
Owns all the good stuff

BAD:
mono-tools.src: W: strange-permission mono-tools.patch 0600
File permissions should be %defattr(-,root,root,-)
Should excludearch ppc64 on account of #241850 - remember to add a note please
(I suspect I forgot this in the previous mono reviews - please apply liberally
to mono specs)

mergh?:
I'm still not liking that whole defining the libdir thing, it seems like a build
system bug which we are hiding but in this case it's even uglier than before.
Please consider removing the define and just invoking %{_libdir} as an argument
to configure.
You might also want to expand the description a bit so it makes more sense for
users such as which tools this package provides.
Comment 22 Paul F. Johnson 2008-01-16 05:59:01 EST
src : http://pfj.fedorapeople.org/mono-tools-1.2.6-1.fc9.src.rpm
spec : http://pfj.fedorapeople.org/mono-tools.spec

Fixed the BAD & mergh? stuff. I'll remove the %monodir define next build.
Comment 23 Paul F. Johnson 2008-01-16 05:59:20 EST
src : http://pfj.fedorapeople.org/mono-tools-1.2.6-3.fc9.src.rpm

Doh!
Comment 24 David Nielsen 2008-01-16 11:38:56 EST
I'm pleased now, I have no complaints left - aside naturally a request that you
add a note why we excludearch ppc64 with a reference to the #241850 so one day
in the future everyone can remember why we do that.. hopefully we can get that
bug closed soon and this won't be needed.

APPROVED
Comment 25 David Nielsen 2008-01-26 22:28:23 EST
ping?
Comment 26 Paul F. Johnson 2008-01-27 14:42:35 EST
Sorry about that. My main box has thrown a wobbler and I'm trying to get things
working on it again! Not long now....
Comment 27 David Nielsen 2008-04-18 08:49:21 EDT
Paul are you okay, it has been months and I am getting worried.
Comment 28 Paul F. Johnson 2008-04-21 06:05:51 EDT
New Package CVS Request
=======================
Package Name: mono-tools
Short Description: mono-tools are a small series of tools which allows the likes
of monodoc to be used outside of monodevelop
Owners: pfj
Branches: f9,f8, f7
InitialCC: pfj
Cvsextras Commits: yes
Comment 29 Xavier Lamien 2008-04-21 06:28:41 EDT
Hello Paul,

Could you add me to this package, if you don't mind ?
Comment 30 Paul F. Johnson 2008-04-21 06:38:43 EDT
Sure, what do I need to add to the initalCC for it?
Comment 31 Xavier Lamien 2008-04-21 07:38:02 EDT
Just re-post a cvs request by adding my fas name to the initialCC (which's laxathom)

Thx.
Comment 32 Paul F. Johnson 2008-04-21 07:52:05 EDT
New Package CVS Request
=======================
Package Name: mono-tools
Short Description: mono-tools are a small series of tools which allows the likes
of monodoc to be used outside of monodevelop
Owners: pfj
Branches: f9,f8, f7
InitialCC: pfj,laxathom
Cvsextras Commits: yes
Comment 33 Kevin Fenzi 2008-04-22 13:01:12 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.